#
# spec file for package python-certifi
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-certifi
Version:        2017.4.17
Release:        19.1
Summary:        Python package for providing Mozilla's CA Bundle
License:        MPL-2.0
Group:          Development/Languages/Python
Url:            https://pypi.python.org/pypi/certifi
Source:         https://files.pythonhosted.org/packages/source/c/certifi/certifi-%{version}.tar.gz
# PATCH-FIX-SUSE -- prefer SUSE certificates
Patch0:         python-certifi-shipped-requests-cabundle.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  ca-certificates
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       ca-certificates
Requires:       ca-certificates-mozilla
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This installable Python package contains a CA Bundle that you can reference
in your Python code. This is useful for verifying HTTP requests, for example.

This is the same CA Bundle which ships with the Requests codebase, and is
derived from Mozilla Firefox's canonical set.

%prep
%setup -q -n certifi-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install

%{python_expand chmod +x %{buildroot}%{$python_sitelib}/certifi/core.py
 sed -i "s|#!/usr/bin/env python|#!%__$python|" %{buildroot}/%{$python_sitelib}/certifi/core.py
 rm %{buildroot}%{$python_sitelib}/certifi/cacert.pem
}

%if %have_python2
%py_compile %{buildroot}%{python2_sitelib}/certifi/
%py_compile -O %{buildroot}%{python2_sitelib}/certifi/
%endif
%if %have_python3
%py3_compile %{buildroot}%{python3_sitelib}/certifi/
%py3_compile -O %{buildroot}%{python3_sitelib}/certifi/
%endif

%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/certifi/
%{python_sitelib}/certifi-%{version}-py*.egg-info

%changelog
* Mon Jul 10 2017 toddrme2178@gmail.com
- Fix wrong-script-interpreter rpmlint error.
- Fix script-without-shebang rpmlint warning.
* Sun Jun 11 2017 dmueller@suse.com
- require ca-certificates-mozilla, otherwise certifi does not
  provide any ca bundle (the bundled one that openSUSE patches
  out is the mozilla bundle as well)
* Sat Jun 10 2017 dmueller@suse.com
- update to 2017.4.17
* Sat Apr  8 2017 aloisio@gmx.com
- Updated to version 2017.1.23
- Converted to single-spec
- Updated source URL
* Fri Jun  3 2016 jacobwinski@gmail.com
- Update to version 2016.2.28
- Update copyright year in spec file
- Fix executable warning (fix taken from python3-certifi)
* Fri Jan 22 2016 michael@stroeder.com
- Update to version 2015.11.20.1
* Sat Sep 26 2015 toddrme2178@gmail.com
- Update to version 2015.9.6.2:
  * Actually ship weak cert bundle.
  * Provide old cert bundle.
  * Use secure roots by default.
  * Update scripts to use mkcert.org
  * Concatenate the two roots
  * Add the needed 1024-bit roots
  * Move mkcert output to non-core file
- Fix dependencies on SLES 11
- Certifi is released under MPL-2.0; fix the license tag
- Rebase python-certifi-shipped-requests-cabundle.patch
* Wed Apr 22 2015 mcihar@suse.cz
- Initial packaging
